buffer_fromarray(3)

NAME
buffer_fromarray - initialize buffer structure from array

SYNTAX
#include <libowfat/array.h> #include <libowfat/buffer.h>

void buffer_fromarray(buffer* b,array* a);

DESCRIPTION
buffer_fromarray makes a virtual read buffer from an array. The buffer reading functions will be able to read until the end of the data in the array, then signal EOF. The buffer does not have its own buffer space, it reuses the one in the array.

Do not touch the array until you are done with the buffer!

Reading data from the buffer will not change the stralloc.

SEE ALSO
buffer_fromsa(3), buffer_init(3), buffer(3), buffer_frombuf(3)